    import {TransientShadow} from 'f.lux/src/TransientProperty.js'

public class | source

# TransientShadow

#### Extends:

Shadow → TransientShadow

## Method Summary

Public Methods
public | delete() |
public | isLocked(): * |
public | lock(desc: *): * |

## Inherited Summary

From class Shadow
public | [_impl]: * |
public | $(): Access Gets the Access object for obtaining information about a property. |
public | $$(): Property Gets the Property managing this shadow state property. |
public | toJSON(): Object | Array Gets the actual state property being proxied by this shadow state property. |
public | toString(): * |

## Public Methods

### public delete() source

### public isLocked(): * source

#### Return:

*

### public lock(desc: *): * source

#### Params:

Name | Type | Attribute | Description
desc | * |  |

#### Return:

*